Subject: Re: working group last call for draft-ietf-spring-segment-routing

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Mon, 7 Sep 2015 14:04:09 +0000

Hi Brian,

to me, the main document describing segment routing is draft-ietf-spring-segment-routing. Within this document we describe the architecture and main functions.

draft-spring-segment-routing-mpls describes its instantiation to the mpls dataplane and draft-previdi-6man-segment-routung-header describes its ipv6 instantiation.

Therefore, wouldn't be ok to have draft-previdi listed as informative in the segment routing architecture draft?

Thanks.

s.

On Jul 24, 2015, at 10:49 AM, Brian E Carpenter <[email-masked]> wrote:
> Hi,
> 
> It seems very strange to me that [I-D.previdi-6man-segment-routing-header]
> is an Informative reference. Surely it is Normative (i.e., required reading
> for an implementer)?
> 
> That leads to another comment. As we know, if 6man accepts that I-D, it will
> certainly be on the basis that the header is strictly confined to a
> "consenting adults" domain (e.g. without middleboxes that can't deal with
> strange extension headers, without MTU size & fragmentation problems, etc.).
> But in draft-ietf-spring-segment-routing, there seems to be no definition
> of a segment-routing domain, what happens at its boundaries, etc. The word
> "domain" is used but without clear definition. I believe that is of normative
> importance (i.e. it's not a use case issue) and is needed here so that
> draft-previdi- can build on it.
> 
>    Brian
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------